Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyC.cpp File Reference

`#include "PolicyC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "PolicyC.i"`

Include dependency graph for PolicyC.cpp:

## Compounds
class | TAO_ClientRequestInfo_CORBA_Policy_copy
class | TAO_ClientRequestInfo_CORBA_Policy_destroy
## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_
#define | _CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyErrorCode (CORBA::tk_alias, sizeof(_oc_CORBA_PolicyErrorCode),(char *)&_oc_CORBA_PolicyErrorCode, 0, sizeof(CORBA::PolicyErrorCode))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(CORBA) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyError (CORBA::tk_except, sizeof(_oc_CORBA_PolicyError),(char *)&_oc_CORBA_PolicyError, 0, sizeof(CORBA::PolicyError))
CORBA::TypeCode | _tc_TAO_tc_CORBA_InvalidPolicies (CORBA::tk_except, sizeof(_oc_CORBA_InvalidPolicies),(char *)&_oc_CORBA_InvalidPolicies, 0, sizeof(CORBA::InvalidPolicies))
CORBA::Policy_ptr | tao_CORBA_Policy_duplicate (CORBA::Policy_ptr p)
void | tao_CORBA_Policy_release (CORBA::Policy_ptr p)
CORBA::Policy_ptr | tao_CORBA_Policy_nil (void)
CORBA::Policy_ptr | tao_CORBA_Policy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_CORBA_Policy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_CORBA_Policy (CORBA::tk_objref, sizeof(_oc_CORBA_Policy),(char *)&_oc_CORBA_Policy, 0, sizeof(CORBA::Policy))
void | tao_CORBA_PolicyManager_release (CORBA::PolicyManager_ptr p)
CORBA::PolicyManager_ptr | tao_CORBA_PolicyManager_nil (void)
CORBA::PolicyManager_ptr | tao_CORBA_PolicyManager_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_CORBA_PolicyManager_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyManager (CORBA::tk_objref, sizeof(_oc_CORBA_PolicyManager),(char *)&_oc_CORBA_PolicyManager, 0, sizeof(CORBA::PolicyManager))
void | tao_CORBA_PolicyCurrent_release (CORBA::PolicyCurrent_ptr p)
CORBA::PolicyCurrent_ptr | tao_CORBA_PolicyCurrent_nil (void)
CORBA::PolicyCurrent_ptr | tao_CORBA_PolicyCurrent_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_CORBA_PolicyCurrent_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyCurrent (CORBA::tk_objref, sizeof(_oc_CORBA_PolicyCurrent),(char *)&_oc_CORBA_PolicyCurrent, 0, sizeof(CORBA::PolicyCurrent))
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyError *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyError *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyError *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::InvalidPolicies &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::InvalidPolicies *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::InvalidPolicies *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::InvalidPolicies *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Policy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Policy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::Policy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyManager_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyManager_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyManager_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyCurrent_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyCurrent_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyCurrent_ptr &_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::InvalidPolicies::_tao_seq_UShort &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::InvalidPolicies::_tao_seq_UShort &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::Policy_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::Policy_ptr &_tao_objref)
## Variables
const CORBA::Long | _oc_CORBA_PolicyErrorCode []
const CORBA::Long | _oc_CORBA_PolicyError []
const CORBA::Long | _oc_CORBA_InvalidPolicies []
CORBA::_TAO_Policy_Proxy_Broker *(* | CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_CORBA_Policy []

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_

#define _CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_InvalidPolicies | ( | CORBA::tk_except | ,
|  | sizeof(_oc_CORBA_InvalidPolicies) | ,
|  | (char *)& | _oc_CORBA_InvalidPolicies,
|  | 0 | ,
|  | sizeof(CORBA::InvalidPolicies) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_Policy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_Policy) | ,
|  | (char *)& | _oc_CORBA_Policy,
|  | 0 | ,
|  | sizeof(CORBA::Policy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyCurrent | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_PolicyCurrent) | ,
|  | (char *)& | _oc_CORBA_PolicyCurrent,
|  | 0 | ,
|  | sizeof(CORBA::PolicyCurrent) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyError | ( | CORBA::tk_except | ,
|  | sizeof(_oc_CORBA_PolicyError) | ,
|  | (char *)& | _oc_CORBA_PolicyError,
|  | 0 | ,
|  | sizeof(CORBA::PolicyError) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyErrorCode | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_PolicyErrorCode) | ,
|  | (char *)& | _oc_CORBA_PolicyErrorCode,
|  | 0 | ,
|  | sizeof(CORBA::PolicyErrorCode) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyManager | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_PolicyManager) | ,
|  | (char *)& | _oc_CORBA_PolicyManager,
|  | 0 | ,
|  | sizeof(CORBA::PolicyManager) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::Policy_ptr | _tao_objref
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::InvalidPolicies::_tao_seq_UShort & | _tao_sequence
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyCurrent_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyCurrent_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyManager_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyManager_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Policy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Policy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::InvalidPolicies * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::InvalidPolicies & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyError * | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::Policy_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::InvalidPolicies::_tao_seq_UShort & | _tao_sequence
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyCurrent_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyManager_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::Policy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::InvalidPolicies *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::InvalidPolicies *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::PolicyError *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyError *& | _tao_elem
| ) |

CORBA::Policy_ptr tao_CORBA_Policy_duplicate | ( | CORBA::Policy_ptr | p | ) |

CORBA::Policy_ptr tao_CORBA_Policy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

CORBA::Policy_ptr tao_CORBA_Policy_nil | ( | void |  | ) |

void tao_CORBA_Policy_release | ( | CORBA::Policy_ptr | p | ) |

CORBA::Object* tao_CORBA_Policy_upcast | ( | void * | src | ) |

CORBA::PolicyCurrent_ptr tao_CORBA_PolicyCurrent_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

CORBA::PolicyCurrent_ptr tao_CORBA_PolicyCurrent_nil | ( | void |  | ) |

void tao_CORBA_PolicyCurrent_release | ( | CORBA::PolicyCurrent_ptr | p | ) |

CORBA::Object* tao_CORBA_PolicyCurrent_upcast | ( | void * | src | ) |

CORBA::PolicyManager_ptr tao_CORBA_PolicyManager_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

CORBA::PolicyManager_ptr tao_CORBA_PolicyManager_nil | ( | void |  | ) |

void tao_CORBA_PolicyManager_release | ( | CORBA::PolicyManager_ptr | p | ) |

CORBA::Object* tao_CORBA_PolicyManager_upcast | ( | void * | src | ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_InvalidPolicies[]`[static]`

const CORBA::Long _oc_CORBA_Policy[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      29,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      7,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63790000),
    }

const CORBA::Long _oc_CORBA_PolicyError[]`[static]`

const CORBA::Long _oc_CORBA_PolicyErrorCode[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      38,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x4572726f),
      ACE_NTOHL (0x72436f64),
      ACE_NTOHL (0x653a312e),
      ACE_NTOHL (0x30000000),
      16,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63794572),
      ACE_NTOHL (0x726f7243),
      ACE_NTOHL (0x6f646500),
      CORBA::tk_short,

    }

CORBA::_TAO_Policy_Proxy_Broker*(* CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0